SOGo | BTS

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001494SOGoWeb Mailpublic2011-11-13 07:482018-12-04 11:04
Reporterjanfrode 
Assigned Tofrancis 
PrioritynormalSeveritytweakReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.3.9 
Target VersionFixed in Version4.0.0 
Summary0001494: sogo doesn't handle dovecot's "quota root name"
DescriptionWhen dovecot is configured with the recommended/suggested maildir quota setting:

   quota = maildir:User quota

sogo fails to interpret the quota, and no quota information is shown in the webui. Removing the ":User quota" part from dovecot config makes quota-information available in sogo.

   http://wiki2.dovecot.org/Quota/Configuration [^]


The difference in output from imap conversation is:

With "quota = maildir:User quota":

a getquotaroot INBOX
* QUOTAROOT "INBOX" "User quota"
* QUOTA "User quota" (STORAGE 188 1000000)
a OK Getquotaroot completed.

with "quota = maildir":

a getquotaroot INBOX
* QUOTAROOT "INBOX" ""
* QUOTA "" (STORAGE 188 1000000)
a OK Getquotaroot completed.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
has duplicate 0004382resolvedfrancis User-Quota does not show up 

-  Notes
User avatar (0003001)
ludovic (administrator)
2011-11-14 16:52

For testing purpose, can you try to put:

quota = maildir:Userquota

instead of:

quota = maildir:User quota
(0003002)
janfrode (reporter)
2011-11-14 17:01

Yes maildir:Userquota works.
User avatar (0003039)
ludovic (administrator)
2011-11-17 16:02

Are you in a position to try a patch?
(0003040)
janfrode (reporter)
2011-11-17 16:35

Sorry, I've never installed or built sogo from source, so I don't have a build environment available at the moment. Also I'm happy with the workaround of avoiding spaces in the quota name.
User avatar (0010632)
Christian Mack (developer)
2016-09-06 05:53

This is still open in SOGo 2.3.14
(0010635)
Altibox (reporter)
2016-09-06 13:51

We are still on 2.2.16. Quotas are showing correctly in the GUI on our current installation. From my point of view this issue can be closed.
User avatar (0010636)
Christian Mack (developer)
2016-09-07 03:07

We have switched from cyrus to dovecot last week.
We are on 2.3.14 (before and after the switch)
Since then Quota was not shown anymore.
We had to do the workaround and remove the space in "User quota" in order to get it working again.
Therefore:
No, this is not fixed yet.

- Issue History
Date Modified Username Field Change
2011-11-13 07:48 janfrode New Issue
2011-11-13 11:52 ludovic Target Version => 1.3.10
2011-11-14 16:52 ludovic Note Added: 0003001
2011-11-14 17:01 janfrode Note Added: 0003002
2011-11-17 16:02 ludovic Note Added: 0003039
2011-11-17 16:35 janfrode Note Added: 0003040
2011-11-18 13:31 ludovic Target Version 1.3.10 => 1.3.11
2011-12-12 12:34 francis Target Version 1.3.11 => 1.3.12
2012-01-27 15:55 ludovic Target Version 1.3.12 =>
2015-01-09 10:21 ludovic Severity major => tweak
2016-09-06 05:53 Christian Mack Note Added: 0010632
2016-09-06 13:51 Altibox Note Added: 0010635
2016-09-07 03:07 Christian Mack Note Added: 0010636
2018-12-04 11:04 francis Relationship added has duplicate 0004382
2018-12-04 11:04 francis Status new => resolved
2018-12-04 11:04 francis Fixed in Version => 4.0.0
2018-12-04 11:04 francis Resolution open => fixed
2018-12-04 11:04 francis Assigned To => francis


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker